#include<iostream>
#include<stdlib.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);cin.tie(false);
    string a;
    cin >> a;
    char c1, c2;
    int a1, a2;
    cin >> a1 >> a2;
    if(abs(a1-a2) >=2)
    {
        cout << "nemoguce";
        return 0;
    }
    if(a1 >= a2)
    {
        c1=a[0];
        c2=a[1];
    }else
    {
        c1 = a[1];
        c2 = a[0];
    }
    for(int i = 0; i < a1+a2; i+=2)
    {
        cout << c1;
        if(i < a1+a2-1) cout << c2;
    }
}